%global commit dc873a4d3eb1ae1e55d661dff8ed85ec3d8eb936
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           plexus-archiver
Version:        3.0.1
Release:        %mkrel 0.2.git%{shortcommit}.2
Epoch:          0
Group:          Development/Java
Summary:        Plexus Archiver Component
License:        ASL 2.0
URL:            https://github.com/codehaus-plexus/plexus-archiver
BuildArch:      noarch

Source0:        https://github.com/codehaus-plexus/plexus-archiver/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

# This prevents "Too many open files" when building Eclipse documentation
# bundles inside a slow VM/mock environment
Patch0:         0001-Avoid-using-ParallelScatterZipCreator.patch

BuildRequires:  maven-local
BuildRequires:  plexus-containers-container-default
BuildRequires:  plexus-io
BuildRequires:  plexus-utils
BuildRequires:  apache-commons-compress
BuildRequires:  snappy-java

%description
The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.


%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.


%prep
%setup -q -n %{name}-%{commit}
%pom_remove_plugin :maven-shade-plugin
%mvn_file :%{name} plexus/archiver

%patch0 -p1

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE

%files javadoc -f .mfiles-javadoc
%doc LICENSE




%changelog
* Wed Feb 24 2016 neoclust <neoclust> 0:3.0.1-0.2.gitdc873a4.2.mga6
+ Revision: 977758
- First rebuild of the java stack
- sync package plexus-archiver with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 1:2.4.4-1.mga5
+ Revision: 807761
- Sync with Fedora 21 (update to 2.4.4)

* Wed Oct 15 2014 umeabot <umeabot> 1:2.4.2-5.mga5
+ Revision: 747340
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Jan 03 2014 dmorgan <dmorgan> 1:2.4.2-3.mga4
+ Revision: 564223
- Remove dupplicated changelog

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 1:2.4.2-1.mga4
+ Revision: 488729
- New version

* Mon Jul 08 2013 dmorgan <dmorgan> 1:2.2-4.mga4
+ Revision: 451175
- Add ASL 2.0 license text to packages

* Sun Jan 13 2013 umeabot <umeabot> 1:2.2-3.mga3
+ Revision: 377823
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 1:2.2-2.mga3
+ Revision: 325804
- BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
- Update to upstream 2.2.

* Wed Jun 20 2012 dmorgan <dmorgan> 1:2.1.1-1.mga3
+ Revision: 262207
- New version 2.1.1

* Sat Jun 02 2012 gil <gil> 1:2.1-1.mga3
+ Revision: 253215
- update to 2.1

* Thu Jan 05 2012 dmorgan <dmorgan> 1:1.2-1.mga2
+ Revision: 191920
- Revert to version 1.2

* Thu Jan 05 2012 dmorgan <dmorgan> 0:2.0.1-4.mga2
+ Revision: 191622
- Skip tests
- Rebuild with new rpm mavan dep generator
- BR maven-surefire-provider-junit4.
- New version 2.0.1

* Fri Dec 23 2011 dmorgan <dmorgan> 0:1.2-2.mga2
+ Revision: 186245
- plexus-maven-plugin removed (not needed) ( From Fedora)

* Wed Jul 20 2011 dmorgan <dmorgan> 0:1.2-1.mga2
+ Revision: 126977
- Update to 1.2.

* Thu Apr 28 2011 dmorgan <dmorgan> 0:1.1-3.mga1
+ Revision: 93010
- Rebuild after bootstrapping
- imported package plexus-archiver


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 6 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.1-1
- Update to 1.1.

* Mon Dec 28 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-0.4.a12.4
- Install depmap and pom to override common poms.

* Thu Dec 24 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-0.4.a12.3
- Really ignore test failures.

* Thu Dec 24 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-0.4.a12.2
- Ignore test failures.

* Wed Dec 23 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-0.4.a12.1
- Update to alpha 12.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.0-0.4.a7.1.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.0-0.3.a7.1.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0:1.0-0.2.a7.1.2
- drop repotag
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0:1.0-0.2.a7.1jpp.1
- Autorebuild for GCC 4.3

* Fri Jan 04 2008 Deepak Bhole <dbhole@redhat.com> 1.0-0.1.a7.1jpp.1
- Update to alpha 7

* Thu Feb 15 2007 Matt Wrigne <mwringe@redhat.com> - 0:1.0-0.1.a6.1jpp.1
- Fix rpmlint issues
- Version package to new jpp versioning standards
- Remove javadoc post and postun sections

* Mon Jun 19 2006 Deepak Bhole <dbhole@redhat.com> - 0:1.0-0.a6.1jpp
- Upgrade to 1.0-alpha-6

* Wed May 31 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.a3.2jpp
- First JPP-1.7 release

* Mon Nov 07 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.a3.1jpp
- First JPackage build
